#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	Simple Python interface for Graphviz
Summary(pl.UTF-8):	Prosty pythonowy interfejs do Graphviza
Name:		python3-graphviz
Version:	0.20.3
Release:	2
Epoch:		1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/graphviz/
Source0:	https://files.pythonhosted.org/packages/source/g/graphviz/graphviz-%{version}.zip
# Source0-md5:	b7c6caf06c0badc770b187645519ea28
URL:		https://github.com/xflr6/graphviz
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
%if %{with tests}
BuildRequires:	python3-pytest >= 7
BuildRequires:	python3-pytest-cov
BuildRequires:	python3-pytest-mock >= 3
%endif
%if %{with tests}
BuildRequires:	graphviz
%endif
%if %{with doc}
BuildRequires:	python3-sphinx_autodoc_typehints
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	sphinx-pdg-3 >= 5
%endif
Requires:	graphviz
Requires:	python3-modules >= 1:3.8
# python3 module packaged under wrong name
Obsoletes:	python-graphviz < 1:0.20.3-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package facilitates the creation and rendering of graph
descriptions in the DOT language of the Graphviz graph drawing
software from Python.

%description -l pl.UTF-8
Ten pakiet wspomaga tworzenie i renderowanie opisów grafów w języku
DOT oprogramowania do rysowania grafów Graphviz z poziomu Pythona.

%package apidocs
Summary:	API documentation for Python graphviz module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona graphviz
Group:		Documentation
# python3 module apidocs packaged under wrong name
Obsoletes:	python-graphviz-apidocs < 1:0.20.3-2

%description apidocs
API documentation for Python graphviz module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona graphviz.

%prep
%setup -q -n graphviz-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS="pytest_cov.plugin,pytest_mock" \
%{__python3} -m pytest tests/backend
%endif

%if %{with doc}
sphinx-build-3 -b html docs docs/_build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-graphviz-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/python3-graphviz-%{version}
%{__sed} -i -e '1s,/usr/bin/env python,%{__python3},' $RPM_BUILD_ROOT%{_examplesdir}/python3-graphviz-%{version}/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE.txt README.rst
%{py3_sitescriptdir}/graphviz
%{py3_sitescriptdir}/graphviz-%{version}-py*.egg-info
%{_examplesdir}/python3-graphviz-%{version}

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_images,_static,*.html,*.js}
%endif
%changelog
* Wed Jun 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-graphviz.git;a=log;h=master

* Tue Jun 03 2025 Jakub Bogusz <qboosh@pld-linux.org> 5320cbe
- obsolete misnamed packages; release 2

* Tue Jun 03 2025 Jakub Bogusz <qboosh@pld-linux.org> fd309cd
- updated dependencies

* Mon Jun 02 2025 Jakub Bogusz <qboosh@pld-linux.org> 7fb8978
- fixed Name and python-modules dependency

* Tue Apr 08 2025 Jan Rękorajski <baggins@pld-linux.org> 2fe1448
- obsolete patch

* Tue Apr 08 2025 Jan Rękorajski <baggins@pld-linux.org> 72d06b6
- up to 0.20.3

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 68ef648
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> ceeb6ad
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> e89f533
- rebuild with python 3.10

* Thu Mar 24 2022 Jakub Bogusz <qboosh@pld-linux.org> cb980e8
- patch to disable using python3-mock module

* Thu Mar 24 2022 Jakub Bogusz <qboosh@pld-linux.org> 44f9366
- added mock patch
- epoch 1 to allow migration from python-graphviz from graphviz.spec (up to 2.44.x), containing gv module
- release 2

* Fri Mar 05 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 1589969
- up to 0.16

* Thu Mar 04 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c914af
- release 3 (by relup.sh)

* Sun Mar 15 2020 Jan Rękorajski <baggins@pld-linux.org> e64a685
- release 2 (by relup.sh)

* Sun Dec 09 2018 Jakub Bogusz <qboosh@pld-linux.org> 41c1fa7
- new

